Subject: Re: [bug#64538] [PATCH 0/6] gnu: ruby-net-ssh: Update to 7.1.0.

From: Christopher Baines <[email-masked]>
Date: Mon, 10 Jul 2023 13:53:42 +0100

gemmaro <[email-masked]> writes:

> Hello,
>
> This patchset updates ruby-net-ssh to 7.1.0.  I also added some packages and
> updated ruby-nbnacl on the way to enable ruby-net-ssh's tests with these
> optional dependencies.
>
> Best,
> gemmaro.
>
> gemmaro (6):
>   gnu: Add ruby-bcrypt-pbkdf.
>   gnu: Add ruby-ed25519.
>   gnu: ruby-rbnacl: Update to 7.1.1.
>   gnu: ruby-rbnacl: Use new package style.
>   gnu: Add ruby-x25519.
>   gnu: ruby-net-ssh: Update to 7.1.0.
>
>  gnu/packages/ruby.scm | 229 +++++++++++++++++++++++++++++++++---------
>  1 file changed, 179 insertions(+), 50 deletions(-)

Thanks, I've made a few tweaks and pushed these changes to master as
83444f2940534910ff10c63c38c8d4da7bc2362e.

In particular, I removed #t from some phases (as this is now
unnecessary) and reduced some indentation in places. I also switched to
using the default test target for ruby-net-ssh since that seemed to run
more tests.

Chris